Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.solver.strategy
Class Top10Value

    java.lang.Object
      |
      +--timetable.solver.strategy.Top10
            |
            +--timetable.solver.strategy.Top10Value

public class Top10Value
extends Top10

Třída spravující n nejlepších umístění.

Fields inherited from class timetable.solver.strategy.Top10
`count, maximum, top, value`

Constructor Summary
`Top10Value()` Konstruktor.
`Top10Value(int maximum)` Konstruktor.

Method Summary
`ActivityGroup` | `activities(int i)` Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - konfliktní aktivity.
`void` | `add(int adept, int slot, ActivityResources rg, ActivityGroup ag)` Přidání umístění do množiny n-nejlepších umístění
`ActivityResources` | `resources(int i)` Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - množina vybraných zdrojů.
`int` | `slot(int i)` Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - počáteční slot.

Methods inherited from class timetable.solver.strategy.Top10
`add, addMax, countInteresting, get, random, reset, size, top, willBeAdded`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Top10Value

    public Top10Value()

  Konstruktor. Počet umístění ve skupině bude 10.

### Top10Value

    public Top10Value(int maximum)

  Konstruktor.
  Parameters:
    `maximum` - počet umístění ve skupině

Method Detail

### add

    public void add(int adept,
                    int slot,
                    ActivityResources rg,
                    ActivityGroup ag)

  Přidání umístění do množiny n-nejlepších umístění
  Parameters:
    `adept` - hodnota umístění - minimalizuje se
    `slot` - umístění - počáteční slot
    `rg` - umístění - vybrané zdroje
    `ag` - umístění - množina konfliktních aktivit

### slot

    public int slot(int i)

  Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - počáteční slot.
  Parameters:
    `i` - index - pořadí umístění ve skupině (od 0 do maximum-1)
  Returns:
    počáteční slot daného umístění

### resources

    public ActivityResources resources(int i)

  Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - množina vybraných zdrojů.
  Parameters:
    `i` - index - pořadí umístění ve skupině (od 0 do maximum-1)
  Returns:
    vybrané zdroje

### activities

    public ActivityGroup activities(int i)

  Vrátí umístění na dané pozici ve skupině (i-té nejlepší) - konfliktní aktivity.
  Parameters:
    `i` - index - pořadí umístění ve skupině (od 0 do maximum-1)
  Returns:
    konfliktní aktivity

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD